<!DOCTYPE html>
<html>

<head>
    <title>Etapes de travail</title>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, user-scalable=no" />
    <link rel="stylesheet" href="css/style_Presentation.css" />
    <link rel="stylesheet" href="css/style_Visualisateurs.css" />
    <style>
        .ImagesEtapes {
            width: 50vw;
            /* height: 10vw; */
            display: block;
            margin-top: 2vh;
            margin-bottom: 2vh;
            cursor: pointer;
        }

        .ImagesEtapesPetites {
            width: 18vw;
            margin: 2vh;
            cursor: pointer;
        }

        #FullScreenImg {
            width: 100%;
            height: 120%;
            position: fixed;
            background-color: black;
            margin-left: auto;
            margin-right: auto;
            z-index: 90;
            top: -10%;
            display: none;
        }

        #ImgFull {
            width: 80vw;
            margin-top: 50vh;
            /* poussé de la moitié de hauteur de viewport */
            transform: translateY(-50%);
            position: relative;
            top: 10%;
            margin-left: auto;
            margin-right: auto;
            display: block;
            cursor: pointer;
        }
    </style>
    </style>
    <link rel="shortcut icon" type="image/png" href="icons/favicon.png" />
    <script src="js/script_Presentation.js"></script>
    <script src="js/BlackMenu.js"></script>
    <script src="js/Visualisateur.js"></script>
    <script src="js/Visualisateur2.js"></script>

</head>

<body>
    <div id="BackgroundIntro">
        <!--  Entête -->
        <div id="Home"> T|RA|C
            <div id="HomeCache">
                ARC - Technologie | Recherche Artistique | Création
            </div>
        </div>

        <div id="Quesako">?</div>
        <div id="Presentation">Présentation du projet</div>
        <!-- Menu -->
        <div id="Menu">
            <div id="Barre1"></div>
            <div id="Barre2"></div>
        </div>

        <div id="ContainerMenu">
            <div id="TexteMenu">
                <div id="GoPagePres">
                    <p id="Categorie1">1_Le projet </p>
                    <p id="P1"> Introduction</p>
                    <p id="P2"> Etapes de travail</p>
                </div>
                <div id="GoPageDownload">
                    <p id="Categorie2">2_Les logiciels</p>
                    <p id="P3"> Notice </p>
                    <p id="P4"> Télécharger </p>
                </div>
                <div id="GoPageGalerie">
                    <p id="Categorie3">3_Nos expérimentations</p>
                    <p id="P5"> png --> wav</p>
                    <p id="P6"> wav --> png</p>
                    <p id="P7"> Combinés </p>
                </div>
            </div>
        </div>
        <!-- Article -->
        <div id="FullScreenImg">
            <img id="ImgFull" src="">
        </div>

        <div id="BackgroundTitre"></div>
        <div id="Titre">Etapes de travail</div>

        <div id="ContainerPresentation">
            <p><strong id="PIntroduction">ETAPES DE TRAVAIL</strong></p>
            Quelques extraits de nos recherches en amont et en parallèle à la création des logiciels
            par Quentin, Félix et Martin. Nous procédions par un partage hebdomadaire des fichiers via un drive.<br><br>

            <strong>0_Programmation dans un canvas avec Javascript </strong> <br>
            La Web Audio API a été utile pour donner une première idée des possibles.
            Le premier code permet de dessiner à un endroit dans la page et d’afficher un visuel
            et un son en fonction du tracé.

            <div id="Container">
                <canvas id="audio_visual" download="image.png" height="300" width="300"></canvas>
                <canvas id="MusicDessin"></canvas>
            </div>

            <div id="Container2">
                <div id="Explication2">La deuxième expérience requiert le micro. En appuyant sur Record, le son est
                    enregistré. Le bouton Stop permet
                    de stopper l'enregistrement. En effectuant un enregistrement sonore, on obtient un visuel qui évolue
                    en fonction de la puissance sonore.
                </div>
                <canvas id="Visualisateur" width="300" height="200"></canvas>
                <div id="Boutons">
                    <button id="btnStart">Record</button>
                    <button id="btnStop">Stop</button>
                </div>
                <!--for record-->
                <audio id="AudioRecord" controls></audio>
                <!--'controls' use for add  play, pause, and volume-->
                <!--for play the audio-->
                <div id="Info2"> Rejouer l'enregistrement</div>
                <audio id="adioPlay" controls></audio>
            </div>
            <img class="ImagesEtapesPetites" src="img_etapes/test3.png">
            <img class="ImagesEtapesPetites" src="img_etapes/test4.png">
            <img class="ImagesEtapesPetites" src="img_etapes/test6.png">
            <img class="ImagesEtapesPetites" src="img_etapes/test7.png">

            <br>

            <strong>1_Premières recherches visuelles et résultats sonores
            </strong>
            <br>
            Nous avons réalisés plusieurs tests sur du papier avec des feutres ou un crayon de papier,
            puis nous les avons passés dans PixelSynth.
            Avec PixelSynth il est possible de réaliser de nombreuses actions sur le son par l’image
            (augmentation de la luminosité, duplication de l’image etc.),
            mais aussi d’accéder à de nombreux paramètres sur le son (gamme chromatique, octaves, note).
            Nous avons commencé à construire une base de donnée et à tester des processus de création et
            de composition avec ces premiers résultats. Comme le logiciel PixelSynth interprète les images
            en analysant les pixels, l’utilisation d’un langage de programmation comme GéoTortue pour dessiner
            permet d’obtenir des formes nettes, «pures», et des répétitions strictes.
            <br>
            <img class="ImagesEtapesPetites" src="img_etapes/1_01_Scans.jpg">
            <img class="ImagesEtapesPetites" src="img_etapes/1_02_Scans.jpg">
            <br>
            Géotortue: <br>
            <img class="ImagesEtapesPetites" src="img_etapes/2_01_GeoTortue.png">
            <img class="ImagesEtapesPetites" src="img_etapes/2_02_GeoTortue.png">
            <br><br>

            <strong>2_Les Jams de Thomas
            </strong><br>
            Thomas à interprété, et à tenté des compositions avec les dessins réalisés sur PixelSynth.<br>
            <video class="ImagesEtapes" id ="video1" controls src="img_etapes/3_JAM violon zarbi.mp4"></video>
            <video class="ImagesEtapes" id="video2" controls src="img_etapes/3_JAM_reverie sur traits.mp4"></video>
            <br>
            <strong>3_Conception des logiciels
            </strong><br>

            Nous avons conçu un double outil, Son-->Image, Image-->Son, qui peut générer,
            au choix et en fonction des fichiers source importés, une image ou un son.
            Lors de l’import d’une image en .png, le logiciel effectue une lecture de gauche à droite de l’image.
            Chaque colonne de pixels est analysée verticalement en fonction des couleurs et du nombre de pixels
            à l’intérieur de celle-ci. Plusieurs paramètres sont modifiables, ainsi il faut choisir entre le rouge,
            le vert et le bleu pour définir les couleurs qui influenceront l’intensité sonore et la stéréo.
            Le choix d’une gamme est aussi possible. En important un son .wav, le logiciel en produira le spectrogramme.
            Avec des curseurs jouant sur la saturation, la teinte ou encore la luminosité,
            il est possible de modifier le rendu de l’image finale.
            <br>
            <img class="ImagesEtapes" src="img_etapes/Capture d’écran 2021-01-04 à 10.16.04.png">
            <img class="ImagesEtapes" src="img_etapes/Capture d’écran 2021-01-10 à 16.29.16.png">
            <br>
            Un des premier tests fut un bip de 20HZ. <br>
            <img class="ImagesEtapesPetites" src="img_etapes/bipDroit20hz_bleu.png">
            <img class="ImagesEtapesPetites" src="img_etapes/bipDroit20hz_Vert.png"> <br>

            <strong>4_Dessiner avec des instruments?</strong><br>
            Thomas, élève au Conservatoire et détenteur d’un grand nombre d’instruments,
            réalise des enregistrements afin d’observer les textures sonores, ainsi que les formes produites.

            <img class="ImagesEtapes" src="img_etapes/Violon_AB.png">
            <img class="ImagesEtapes" src="img_etapes/Violon_Q.png">

            <strong>5_Compositions
            </strong><br>


        </div>
    </div>
</body>
<script>
    var ImagesEtapes = document.getElementsByClassName("ImagesEtapes");
    var ImagesEtapesPetites = document.getElementsByClassName("ImagesEtapesPetites");
    var cible3;
    for (i = 0; i < ImagesEtapes.length; i++) {
        ImagesEtapes[i].addEventListener("click", Enlarge);
        ImagesEtapes.customIndex = i;
    }
    for (i = 0; i < ImagesEtapesPetites.length; i++) {
        ImagesEtapesPetites[i].addEventListener("click", Enlarge);
        ImagesEtapesPetites.customIndex = i;
    }
    function Enlarge(e) {
        cible3 = e.target;
        var idCible3 = cible3.id;
        if (idCible3 != "video1" && idCible3 != "video2") {
        var attribut = cible3.getAttribute('src');
        console.log(attribut);
        var GetFullScreen = document.getElementById("FullScreenImg");
        var ImageFullScreen = document.getElementById("ImgFull");
        ImageFullScreen.src = attribut;
        GetFullScreen.style.display = "block";
        GetFullScreen.addEventListener("click", DisapearFull);
    }

    }
    function DisapearFull() {
        var GetFullScreen = document.getElementById("FullScreenImg");
        GetFullScreen.style.display = "none";
    }
</script>


</html>